## manpages-pl 0.1.1

=== Makefile ===
# Do "make install" to copy the compressed pages to their destination.
# Do "make uninstall" to remove the installed pages.
#
# Copyright © 2010-2012 Tobias Quathamer <toddy@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

prefix=/usr

MANDIR=$(prefix)/share/man/pl

all:
	echo "Please choose a target (install or uninstall)"

install:
	test -d $(DESTDIR)/$(MANDIR) || install -d -m 755 $(DESTDIR)/$(MANDIR)
	# Install old manpages
	for i in man?; do \
	  test -d $(DESTDIR)/$(MANDIR)/$$i || install -d -m 755 $(DESTDIR)/$(MANDIR)/$$i; \
	  for m in $$i/*; do \
	    test -f $(DESTDIR)/$(MANDIR)/$$m || install -m 644 $$m $(DESTDIR)/$(MANDIR)/$$i; \
			# Compress manpages \
			gzip $(DESTDIR)/$(MANDIR)/$$m; \
	  done; \
	done
	# Install generated manpages
	for m in generated/man?/*; do \
		file=`basename $$m`; \
		section=`basename $$m | sed -e "s/.\+\.//"`; \
		test -d $(DESTDIR)/$(MANDIR)/man$$section || install -d -m 755 $(DESTDIR)/$(MANDIR)/man$$section; \
		test -f $(DESTDIR)/$(MANDIR)/man$$section/$$file || install -m 644 $$m $(DESTDIR)/$(MANDIR)/man$$section/$$file; \
		# Compress manpages \
		gzip $(DESTDIR)/$(MANDIR)/man$$section/$$file; \
	done
	# Install links
	for linkfile in `find -type f -name "*.links"`; do \
		perl create-links.pl $(DESTDIR)/$(MANDIR) $$linkfile; \
	done

uninstall:
	# Remove links
	for linkfile in `find -type f -name "*.links"`; do \
		perl remove-links.pl $(DESTDIR)/$(MANDIR) $$linkfile; \
	done
	# Remove old manpages
	for m in man?/*; do \
		rm -f $(DESTDIR)/$(MANDIR)/$$m.gz; \
	done
	# Remove generated manpages
	for m in generated/man?/*; do \
		file=`basename $$m`; \
		section=`basename $$m | sed -e "s/.\+\.//"`; \
		rm -f $(DESTDIR)/$(MANDIR)/man$$section/$$file.gz; \
	done

version=`perl -pe "" VERSION`

dist:
	rm -rf manpages-pl-$(version)
	mkdir manpages-pl-$(version)
	cp -R english/*/*links man?/ generated/ po/ \
	AUTHORS CHANGELOG COPYRIGHT GPL-2 GPL-3 Makefile README VERSION \
	create-links.pl remove-links.pl manpages-pl-$(version)
	tar cjf manpages-pl-$(version).tar.bz2 manpages-pl-$(version)
	rm -rf manpages-pl-$(version)

=== debian/changelog ===
manpages-pl (1:0.1.1-1) unstable; urgency=low

  * New upstream version from new upstream project at sourceforge.net.
  * Typo in modprobe.8 fixed by upstream (LP: #905951).
  * Refresh patches: 
    + remove 02-gawk.1-typo, 03-chmod.1-fix, 05-man-errors-2;
    + remaining patches: 04-acct.5-update, and part of 01-man-errors 
      & 06-man-hyphens.
  * Update build system files:
    + debian/install.sh: update for new version; add outdated warnings for
       old PTM pages only.
    + debian/man.addendum: explain how to get the original English man pages.
    + debian/move.list: drop no longer needed entries.
  * Switch to debhelper v9. Additionally remove .pc/.dpkg-source-unapply file
    to fix broken behaviour of dpkg-buildpackage (see Bug#649521).
  * Move intro.[23] man pages from manpages-pl-dev to manpages-pl.
  * Update debian/copyright for new version.
  * Add debian/watch.
  * debian/control:
    + add Homepage field;
    + drop Build-Dependency on recode;
    + fix VCS-Browser field.
    + bump Standards-Version to 3.9.3.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Apr 2012 20:09:34 +0200

manpages-pl (20060617-4) unstable; urgency=low

  * Remove outdated shred man page (closes: #537698).
  * Regenerate patches with gbp-pq import/export.
  * Really remove ancient postinsts.
  * Drop unused source.lintian-overrides.
  * Switch to dh 8 & tiny rules file.
  * Standards-Version: 3.9.2 (no changes).
  * Add Vcs-* fields.

 -- Robert Luberda <robert@debian.org>  Sat, 29 Oct 2011 22:14:01 +0200

manpages-pl (20060617-3) unstable; urgency=low

  * Don't install man pages that were moved to apt, sensible-utils
    and rlinetd packages.
  * Remove metamail, getfilename, kernelversion, mcserv man pages, as
    their originals are not available in Debian.
  * Match sections of startx, mt, dmesg and some other pages with sections
    of original man pages.
  * Add a few extra man pages symlinks (like rbash or ld-linux), mostly
    from PLD.

  * Switch to dpkg-source 3.0 (quilt) format:
    + split previous patch into patches 01 to 04 in debian/patches;
    + add 05-man-errors-2.patch: Fix more `manpage-has-errors-from-man'
      lintian warnings;
    + add 06-man-hyphens.patch: Fix lintian's `hyphen-used-as-minus-sign'.

  * Standards-Version: 3.8.4:
    + recode installed man pages to UTF-8;
    + do the same for the Readme and translators files;
    + add a `possibly not up-to-date warning' to each man page.

  * Remove useless postinst scripts.
  * Update copyright file.
  * Don't install outdated TODO file.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 11:06:07 +0200

manpages-pl (20060617-2) unstable; urgency=low

  * Remove man pages for chkfontpath (closes: #501032) and pwauth (LP: #275990).
  * Correct acct(5) and chmod(1) translations (closes: #407723, #506205).
  * Fix typo in gawk(1).
  * Don't install linda override files (lintian).
  * Add `set -e' to postinst scripts (lintian).
  * Various man pages: fix `manpage-has-errors-from-man' lintian warnings.
  * Set debhelper compat level to 7.
  * Standards-Version: 3.8.0.

 -- Robert Luberda <robert@debian.org>  Wed, 24 Dec 2008 00:17:18 +0100

manpages-pl (20060617-1) unstable; urgency=low

  * New upstream release:
    + remove vim man pages (closes: #364406).
  * Standards-Version: 3.7.2 (no changes):
    + move debhelper from Build-Depends-Indep to Build-Depends.

 -- Robert Luberda <robert@debian.org>  Sat, 17 Jun 2006 17:32:13 +0200

manpages-pl (20060331-1) unstable; urgency=low

  * New upstream release:
    + remove dpkg and adduser man pages (closes: #353669)
    + fix grammar in hier(7) (closes: #352067).

 -- Robert Luberda <robert@debian.org>  Fri, 31 Mar 2006 21:53:07 +0200

manpages-pl (20051117-1) unstable; urgency=low

  * New upstream release.
  * Remove gendiff and other rpm man pages, which are now provided by the rpm
    package (closes: #333295).
  * Fix typos in dialog(1) and update-modules(8) (closes: #303455,#324522).
  * Fixed many (but not all) groff warnings reported by lintian.
  * Add linda overrides file for 'only-nonenglish-man'.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 17 Oct 2005 19:22:45 +0200

manpages-pl (20050320-1) unstable; urgency=low

  * New upstream release.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Mar 2005 20:09:34 +0100

manpages-pl (20050106-1) unstable; urgency=low

  * New upstream release:
    + fix spelling in clock(8) man page (closes: #288502).

 -- Robert Luberda <robert@debian.org>  Thu,  6 Jan 2005 18:26:10 +0100

manpages-pl (20041121-1) unstable; urgency=low

  * New upstream release.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Nov 2004 12:48:40 +0100

manpages-pl (20041010-1) unstable; urgency=low

  * New upstream release:
    + ps(1) man page is updated (closes: #274213).

  * debian/{install.sh,move.list}:
    + modutils man pages exist both in section 1 and 8, install only those
      from section 8.
    + correct .TH lines of installed man pages, so lintian won't complain
      about this.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Oct 2004 17:29:53 +0200

manpages-pl (20040716-1) unstable; urgency=low

  * New upstream release:
    + fixed typo in the which(1) man page (closes: #249647).
  * debian/control: suggests  `man-db | man-browser' instead of
    `man-browser' only (lintian).
  * Add lintian source overrides for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Fri, 16 Jul 2004 12:09:09 +0200

manpages-pl (20040415-1) unstable; urgency=low

  * New upstream release:
    + fixed typo in the scp(1) man page (closes: #224290).

 -- Robert Luberda <robert@debian.org>  Sat, 15 Apr 2004 16:13:48 +0200

manpages-pl (20031119-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Nov 2003 17:40:50 +0100

manpages-pl (20030729-1) unstable; urgency=low



=== debian/control ===
Source: manpages-pl
Maintainer: Robert Luberda <robert@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9)
Vcs-Git: git://anonscm.debian.org/users/robert/manpages-pl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/manpages-pl.git;a=summary
Homepage: https://sourceforge.net/projects/manpages-pl/

Package: manpages-pl-dev
Architecture: all
Suggests: man-db|man-browser, manpages-pl
Depends: ${misc:Depends}
Description: Polish man pages for developers
 This package contains the GNU/Linux manual pages translated into Polish.
 Following sections are provided:
 .
  * 2 = Linux system calls.
  * 3 = Libc calls (note that a more comprehensive source of
        information may be found in the glibc-doc package).

Package: manpages-pl
Architecture: all
Breaks: manpages-pl-dev (<= 1:0.1.1)
Replaces: manpages-pl-dev (<= 1:0.1.1)
Suggests: man-db|man-browser, manpages-pl-dev
Depends: ${misc:Depends}
Description: Polish man pages
 This package contains the GNU/Linux manual pages translated into Polish.
 Following sections are provided:
 .
  * 1 = User programs (e.g. ls, ln).
  * 4 = Devices (e.g. hd, sd).
  * 5 = File formats and protocols, syntaxes of several system
        files (e.g. wtmp, /etc/passwd, nfs).
  * 6 = Games etc.
  * 7 = Conventions and standards, macro packages, etc.
        (e.g. nroff, ascii).
  * 8 = Administration and privileged commands.

## manpages-pl 0.2

=== Makefile ===
--- 
+++ 
@@ -64,13 +64,21 @@
 		rm -f $(DESTDIR)/$(MANDIR)/man$$section/$$file.gz; \
 	done
 
-version=`perl -pe "" VERSION`
+version:=$(shell perl -pe "" VERSION)
+unexport CDPATH
 
 dist:
+	. /usr/lib/git-core/git-sh-setup && require_clean_work_tree "make dist package"
 	rm -rf manpages-pl-$(version)
 	mkdir manpages-pl-$(version)
-	cp -R english/*/*links man?/ generated/ po/ \
-	AUTHORS CHANGELOG COPYRIGHT GPL-2 GPL-3 Makefile README VERSION \
-	create-links.pl remove-links.pl manpages-pl-$(version)
+	git archive --format=tar HEAD -- man?/ po/ english/ licences/ userscripts/ \
+	generated/ AUTHORS CHANGELOG COPYRIGHT Makefile README VERSION \
+	create-links.pl remove-links.pl \
+	| tar xf - -C manpages-pl-$(version)
+	cd manpages-pl-$(version)/userscripts && ./remove-double-pages.sh && \
+		./generate-manpages.sh
+	cd manpages-pl-$(version) &&  mv english/*/*.links . && \
+		rm -rf english userscripts generated/fixman &&  \
+		find generated -name "*.orig" -delete
 	tar cjf manpages-pl-$(version).tar.bz2 manpages-pl-$(version)
 	rm -rf manpages-pl-$(version)

=== debian/changelog ===
manpages-pl (1:0.2-1) unstable; urgency=low

  * New upstream version.
  * Drop Debian patches, all of them have been applied by upstream.
  * Update debian/copyright.
  * debian/move.list:
    + remove no longer needed entries;
    + install shred(1) man page again as it has been updated (the page
      was removed in 20060617-4).

 -- Robert Luberda <robert@debian.org>  Sat, 12 May 2012 10:18:59 +0200

## manpages-pl 0.3

=== debian/changelog ===
manpages-pl (1:0.3-1) unstable; urgency=low

  * New upstream version.
  * debian/move.list: remove remaining entries.

 -- Robert Luberda <robert@debian.org>  Sat, 28 Jul 2012 13:43:17 +0200

## manpages-pl 0.4

=== debian/changelog ===
manpages-pl (1:0.4-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.9.4 (no changes).
  * debian/install.sh: fix installation of upstream symlinks.

 -- Robert Luberda <robert@debian.org>  Sat, 25 May 2013 14:51:30 +0200

## manpages-pl 0.5

=== debian/changelog ===
manpages-pl (1:0.5-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Mon, 30 Sep 2013 19:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Section: doc
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/manpages-pl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/manpages-pl.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

DESTDIR  :=  $(CURDIR)/debian/tmp/usr/share/man/pl

override_dh_auto_install:
	rm -f .pc/.*unapply # see bug#649521
	bash debian/install.sh $(DESTDIR)

=== debian/watch ===
version=3
http://sf.net/manpages-pl/manpages-pl-([\d\.]+)\.tar\.bz2

## manpages-pl 0.6

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 prefix=/usr
 
 MANDIR=$(prefix)/share/man/pl
+COMPRESSOR=gzip
 
 all:
 	echo "Please choose a target (install or uninstall)"
@@ -31,7 +32,7 @@
 	  for m in $$i/*; do \
 	    test -f $(DESTDIR)/$(MANDIR)/$$m || install -m 644 $$m $(DESTDIR)/$(MANDIR)/$$i; \
 			# Compress manpages \
-			gzip $(DESTDIR)/$(MANDIR)/$$m; \
+			$(COMPRESSOR) $(DESTDIR)/$(MANDIR)/$$m; \
 	  done; \
 	done
 	# Install generated manpages
@@ -41,7 +42,7 @@
 		test -d $(DESTDIR)/$(MANDIR)/man$$section || install -d -m 755 $(DESTDIR)/$(MANDIR)/man$$section; \
 		test -f $(DESTDIR)/$(MANDIR)/man$$section/$$file || install -m 644 $$m $(DESTDIR)/$(MANDIR)/man$$section/$$file; \
 		# Compress manpages \
-		gzip $(DESTDIR)/$(MANDIR)/man$$section/$$file; \
+		$(COMPRESSOR) $(DESTDIR)/$(MANDIR)/man$$section/$$file; \
 	done
 	# Install links
 	for linkfile in `find -type f -name "*.links"`; do \
@@ -71,12 +72,12 @@
 	. /usr/lib/git-core/git-sh-setup && require_clean_work_tree "make dist package"
 	rm -rf manpages-pl-$(version)
 	mkdir manpages-pl-$(version)
-	git archive --format=tar HEAD -- man?/ po/ english/ licences/ userscripts/ \
+	git archive --format=tar HEAD -- man?/ po/ english/ licenses/ userscripts/ \
 	generated/ AUTHORS CHANGELOG COPYRIGHT Makefile README VERSION \
 	create-links.pl remove-links.pl \
 	| tar xf - -C manpages-pl-$(version)
 	cd manpages-pl-$(version)/userscripts && ./remove-double-pages.sh && \
-		./generate-manpages.sh
+		./generate-manpages.sh --dist
 	cd manpages-pl-$(version) &&  mv english/*/*.links . && \
 		rm -rf english userscripts generated/fixman &&  \
 		find generated -name "*.orig" -delete

=== debian/changelog ===
manpages-pl (1:0.6-2) unstable; urgency=medium

  * debian/control: Declare Break and Replace on old version of realpath
    package (closes: #770254).

 -- Robert Luberda <robert@debian.org>  Thu, 20 Nov 2014 08:30:15 +0100

manpages-pl (1:0.6-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 14 Nov 2014 08:07:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Section: doc
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/manpages-pl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/manpages-pl.git;a=summary
@@ -22,8 +22,8 @@
 
 Package: manpages-pl
 Architecture: all
-Breaks: manpages-pl-dev (<= 1:0.1.1)
-Replaces: manpages-pl-dev (<= 1:0.1.1)
+Breaks: manpages-pl-dev (<= 1:0.1.1), realpath (<= 1.20)
+Replaces: manpages-pl-dev (<= 1:0.1.1), realpath (<= 1.20)
 Suggests: man-db|man-browser, manpages-pl-dev
 Depends: ${misc:Depends}
 Description: Polish man pages

## manpages-pl 0.7

=== debian/changelog ===
manpages-pl (1:0.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Robert Luberda ]
  * Switch to debhelper v12.
  * debian/control:
    + mark the package as 'Multi-Arch: foreign';
    + set 'Rules-Requires-Root' to 'no';
    + remove old 'Breaks'/'Replaces' entries;
    + Standards-Version: 4.4.0.
  * Switch debian/copyright to DEP-5 format:
    + add debian/update-copyright.py script, based on the one in manpages-de,
      to manage the copyright file using information from *.po files;
    + add debian/patches/Fix-copyright-info.patch with a minor corrections
      related to copyright information in a few *.po files;
    + add debian/ptm_authors_by_manpage, with a data collected from both
      AUTHORS file and old man*/* pages, as another source for the script.
  * Add DEP-12 upstream metadata file.

 -- Robert Luberda <robert@debian.org>  Sun, 04 Aug 2019 11:06:29 +0200

manpages-pl (1:0.7-1) unstable; urgency=medium

  * New upstream version.
  * Switch Vcs-* fields to https.
  * Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 14 Feb 2017 22:08:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Section: doc
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
-Vcs-Git: git://anonscm.debian.org/users/robert/manpages-pl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/manpages-pl.git;a=summary
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12)
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/manpages-pl.git
+Vcs-Browser: https://salsa.debian.org/debian/manpages-pl
 Homepage: https://sourceforge.net/projects/manpages-pl/
 
 Package: manpages-pl-dev
 Architecture: all
-Suggests: man-db|man-browser, manpages-pl
+Suggests: man-db | man-browser, manpages-pl
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: Polish man pages for developers
  This package contains the GNU/Linux manual pages translated into Polish.
  Following sections are provided:
@@ -22,10 +25,10 @@
 
 Package: manpages-pl
 Architecture: all
-Breaks: manpages-pl-dev (<= 1:0.1.1), realpath (<= 1.20)
-Replaces: manpages-pl-dev (<= 1:0.1.1), realpath (<= 1.20)
-Suggests: man-db|man-browser, manpages-pl-dev
+Suggests: man-db | man-browser, manpages-pl-dev
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: Polish man pages
  This package contains the GNU/Linux manual pages translated into Polish.
  Following sections are provided:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

DESTDIR  :=  $(CURDIR)/debian/tmp/usr/share/man/pl

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_install:
	bash debian/install.sh $(DESTDIR)

ifeq (UNRELEASED, $(DEB_DISTRIBUTION))
override_dh_installman:
	@echo "dh_installman disabled for this build due to #933576"
endif

=== debian/watch ===
version=3
https://sf.net/manpages-pl/manpages-pl-([\d\.]+)\.tar\.bz2

## manpages-pl 20060617

=== debian/control ===
Source: manpages-pl
Maintainer: Robert Luberda <robert@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: recode
Vcs-Git: git://anonscm.debian.org/users/robert/manpages-pl.git
Vcs-Browser: http://anonscm.debian.org/?p=users/robert/manpages-pl.git;a=summary

Package: manpages-pl-dev
Architecture: all
Suggests: man-db|man-browser, manpages-pl
Depends: ${misc:Depends}
Description: Polish man pages for developers
 This package contains the GNU/Linux manual pages translated into Polish.
 Following sections are provided:
 .
  * 2 = Linux system calls.
  * 3 = Libc calls (note that a more comprehensive source of
        information may be found in the glibc-doc package).

Package: manpages-pl
Architecture: all
Suggests: man-db|man-browser, manpages-pl-dev
Depends: ${misc:Depends}
Description: Polish man pages
 This package contains the GNU/Linux manual pages translated into Polish.
 Following sections are provided:
 .
  * 1 = User programs (e.g. ls, ln).
  * 4 = Devices (e.g. hd, sd).
  * 5 = File formats and protocols, syntaxes of several system
        files (e.g. wtmp, /etc/passwd, nfs).
  * 6 = Games etc.
  * 7 = Conventions and standards, macro packages, etc.
        (e.g. nroff, ascii).
  * 8 = Administration and privileged commands.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@"

DESTDIR  :=  $(CURDIR)/debian/tmp/usr/share/man/pl

override_dh_auto_clean:
	rm -f debian/README debian/translators

override_dh_auto_install:
	cp -a FAQ debian/README
	cp -a zasoby/robotnicy debian/translators
	recode iso-8859-2..utf-8 debian/README debian/translators

	bash debian/install.sh $(DESTDIR)

### build the package from CVS
UPSTR_VERSION  :=  $(shell dpkg-parsechangelog | \
	                sed -n -e '/^Version:/s/^[^:]*: *\(.*\)-[^-]*$$/\1/p')

cvs-build:
	chmod a+x debian/rules
	rm -rf debian/cvs-build
	mkdir -p -m755 debian/cvs-build/manpages-pl-$(UPSTR_VERSION).orig && \
	tar c --exclude CVS --exclude cvs-build --exclude po4a-sources --exclude info --exclude '.#*' . \
	        | tar xf - -C  debian/cvs-build/manpages-pl-$(UPSTR_VERSION).orig && \
	cd debian/cvs-build && \
	chmod -R a+rX,go-w . && \
	tar cvf manpages-pl_$(UPSTR_VERSION).orig.tar --owner=0 --group=0 \
	        manpages-pl-$(UPSTR_VERSION).orig && \
	gzip -9 manpages-pl_$(UPSTR_VERSION).orig.tar && \
	mv manpages-pl-$(UPSTR_VERSION).orig manpages-pl-$(UPSTR_VERSION) && \
	cd manpages-pl-$(UPSTR_VERSION) && \
	if [ -x /usr/bin/debuild ]; then debuild -rfakeroot -uc -us; \
	        else dpkg-buildpackage -uc -us; fi && \
	cd .. && \
	rm -rf manpages-pl-$(UPSTR_VERSION) && \
	echo "Built packages: " && \
	cd ../.. && \
	ls debian/cvs-build/*.deb
